<?php get_header(); ?>

<div class="cont">

  <?php get_template_part( "partials/slider", "bx" ); ?>

  <div class="cntcls <?php echo 'sidebar_' . myarcadetheme_get_option( 'sidebar_position', 'right' ); ?>">
    <?php
    $main_class = myarcadetheme_get_option( 'box_design' ) == 'friv' ? 'cols-n12' : 'cols-n9';
    ?>
    <main class="main-cn <?php echo $main_class ?>">
      <?php
      if ( have_posts() ) {

        // Display promoted games box. This file is used for the Friv-Layout, too.
        get_template_part( "partials/index", "promoted" );

        // Display the front page text for SEO purpose
        get_template_part( "partials/index", "front-page-text" );

        // Display Hall Of Fame box
        get_template_part( "partials/index", "hall-of-fame" );

        // Display category boxes but not on the friv view
        if ( strpos( myarcadetheme_get_option( 'box_design' ), 'friv' ) === false ) {
          get_template_part( "partials/index", "boxes" );
        }
      }
      else {
        // Nothing found
        get_template_part( "partial/content", "none" );
      }
      ?>
    </main>

    <?php if ( myarcadetheme_get_option( 'box_design' ) != 'friv' && is_front_page() ) { get_sidebar(); } ?>
  </div>
</div>
<?php get_footer(); ?>